SmartSDR v3.1.8 and v2.6.1 are Now Available

  • 5
  • Announcement
  • Updated 2 months ago
  • (Edited)
FlexRadio Systems announces the immediate availability of SmartSDR v3.1.8 and SmartSDR v2.6.1.  It is highly recommended that you download the appropriate version of the Release Notes to ensure an optimal software installation experience.

SmartSDR 3.1.8 can be downloaded from the FlexRadio Systems website. SmartSDR v3.1.8 is a maintenance release containing software fixes for version 3 of SmartSDR for Windows, SmartSDR for Maestro, SmartSDR for M models, SmartSDR CAT and DAX. Please download and review the SmartSDR v3.1.8 Release Notes prior to installing SmartSDR v3.1.8.

SmartSDR v2.6.1 can be downloaded from the FlexRadio Systems website. SmartSDR v2.6.1 is a maintenance release containing software fixes for version 2 of SmartSDR for Windows, SmartSDR for Maestro, SmartSDR for M models, SmartSDR CAT and DAX. Please download and review the SmartSDR v2.6.1 Release Notes prior to installing SmartSDR v2.6.1.

A software license for the FLEX-6000 is required to run SmartSDR v3.x and SmartSDR v2.x.

If prompted to upgrade your SmartSDR license, obtaining and validating a license for your FLEX-6000 software defined radio is a simple process.  Once the radio and client have network access to the Internet, just load any version of the SmartSDR v3.x software on your PC or Maestro. In the radio chooser, if a radio requires a license, a status message will indicate a license is required before connecting to the radio and updating the firmware.  A “Buy” button is also presented so that you can conveniently purchase a SmartSDR v3.x license (which is inclusive of v2.x) using our Online Store. Please see the SmartSDR Release Notes for details regarding purchasing a SmartSDR software license for your radio.

The following highlights are SmartSDR specific items:

SmartSDR v3.1.8 and SmartSDR v2.6.1

Corrected Issue Preventing FLEX-6000 from being Licensed:  Updated licensing to use TLS v1.2 to meet new security standards (#7727)

Updated DAX Error Message Text: Added language to explain need for Default Audio Output (Playback) Device in DAX error message (#7721)


Be sure to check out these helpful videos before getting started:

How to install SmartSDR v3: https://youtu.be/zO90kVkIYM8
Introduction to SmartSDR v3 and multiFLEX: https://youtu.be/e-vNsepxOzg

For information on compatible third-party applications, visit our Works with FLEX web page (https://www.flexradio.com/works-with-flex/).

================================================================
The cumulative SmartSDR v3.1.8 and v2.6.1
________________________________________
V3.1.8 General Release 2019-10-04
_____________________________________
#7727 Updated licensing to use TLS v1.2 to meet new security standards
#7721 Added language to explain need for Default Audio Output Device in DAX error message


________________________________________
V2.6.1 General Release 2019-10-04
________________________________________
#7727 Updated licensing to use TLS v1.2 to meet new security standards
#7721 Added language to explain need for Default Audio Output Device in DAX error message
Photo of Tim - W4TME

Tim - W4TME, Customer Experience Manager

  • 9202 Posts
  • 3563 Reply Likes

Posted 2 months ago

  • 5

There are no replies.

This conversation is no longer open for comments or replies.